import { InputImplement } from '@/types';
import React, { Component } from "react";
import { CustomInputProps, CustomInputValueType } from "./types";
interface IState {
    value: CustomInputValueType;
    error: boolean;
}
export declare class CustomInput extends Component<CustomInputProps, IState> implements InputImplement<CustomInputValueType> {
    private elementRef;
    state: IState;
    setValue(value: CustomInputValueType): Promise<CustomInputValueType>;
    getValue(): CustomInputValueType;
    clear(): Promise<CustomInputValueType>;
    validation(): boolean;
    click: () => void;
    focus: () => void;
    blur: () => void;
    render(): React.JSX.Element;
}
export {};
